## rbootd 2.0

=== Makefile ===
#	from: @(#)Makefile	8.1 (Berkeley) 6/4/93
#	$NetBSD: Makefile,v 1.4 1995/08/21 17:05:08 thorpej Exp $

PROG=	rbootd
SRCS=	bpf.c conf.c parseconf.c rbootd.c rmpproto.c utils.c
MAN=	rbootd.8

.include <bsd.prog.mk>
