## rbootd 2.0-5

=== debian/changelog ===
rbootd (2.0-5) unstable; urgency=low

  * Fixed a mistake in the control file 
  * Package (2.0-3) didn't print a warning when upgraded to 2.0-4;
    this has now been corrected.
  * README no longer refers to /usr/local/lib
  * URL in README updated (closing bug #49456)
  * Package now suggests bootparamd and nfs-server rather than
    netstd (closing bug #49384)

 -- Alan Bain <afrb2@debian.org>  Sat, 4 Nov 1999 20:00:00 +0000

rbootd (2.0-4) unstable; urgency=low
  
  * Updated the control file to cover PA-RISC workstations
  * Fixed a potential buffer overrun problem
  * Incorporated a patch from Peter Maydell removing obfuscated C line
  * Corrected an error in the manpage
  * Removed a skeleton file accidentally left in distribution
  * Removed creation of /usr/local/lib/rbootd directory
  * postinst now displays a message about the move
  * Moved documentation to /usr/share directories

 -- Alan Bain <afrb2@debian.org>  Tue, 23 Nov 1999 14:05:00 +0000

rbootd (2.0-3.2) unstable; urgency=low

  * Non-maintainer release
  * (Joey Added rbootd-singlefile.diff from The Puffin Group / PA-RISC
    porters from the srpm as found at
    ftp://puffin.external.hp.com/pub/parisc/binaries/SRPMS/rbootd-2.0-2.src.rpm

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Mon, 25 Oct 1999 02:41:10 +0200

rbootd (2.0-3.1) unstable; urgency=low

  * Non-maintainer release
  * Extended changelog
  * Changed from /usr/local/lib/rbootd to /var/lib/rbootd (closes:
    Bug#47618)
  * Added that directory to .deb files

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Sun, 24 Oct 1999 19:23:12 +0200

rbootd (2.0-3) unstable; urgency=low
  
  * Added README file provided by Peter Maydell which gives
    useful instructions on how to set up rbootd on a debian
    system.

  -- Alan Bain <afrb2@cam.ac.uk>  Tue, 2 Feb 1999 18:00:00 +0000

rbootd (2.0-2) unstable; urgency=low

  * Changed init script name to rbootd rather than rbootd_init
  * Moved bootfile location to /usr/local/lib/rboot rather than
    /export/hp/root (!)
  * compile options now include -g
  * strip binary in situ rather than before installing
  * sequence no is 20 rather than 35 
  * copyright now refers to BSD copyright
  * capitalisation fixed
  * manpage paths fixed

  -- Alan Bain <afrb2@cam.ac.uk>  Sun, 21 Jun 1998 01:30:00 +0100

rbootd (2.0-1) unstable; urgency=low

  * Created package for first time from files on Peter Maydell's
    website http://www.chiark.greenend.org.uk/~pmaydell
  * Created scripts to start and stop rbootd with a null config
    file to start with.

 -- Alan Bain <afrb2@cam.ac.uk>  Mon, 15 Jun 1998 10:00:00 +0100

Local variables:
mode: debian-changelog
End:
