=== debian/control ===
Source: rbootd
Section: net
Priority: extra
Maintainer: Alan Bain <afrb2@debian.org> 
Standards-Version: 3.0.1.1

Package: rbootd
Architecture: any
Depends: netbase (>=3.00), ${shlibs:Depends}
Suggests: bootparamd,nfs-server
Description: Remote Boot Daemon
 The rbootd daemon is used for booting some HP workstations
 over the network (such as the 9000/300 and 9000/400 series).
 It can also boot PA RISC workstations.  It handles the first
 stage of the boot sequence and can be used to start booting
 Linux, NetBSD or HPUX.
