=== debian/control ===
Source: rbootd
Section: net
Priority: optional
Maintainer: Helge Deller <deller@gmx.de>
Standards-Version: 4.5.0
Build-Depends: libpcap-dev
Rules-Requires-Root: binary-targets
Homepage: https://git.kernel.org/pub/scm/linux/kernel/git/deller/rbootd.git
Vcs-Git: https://git.kernel.org/pub/scm/linux/kernel/git/deller/rbootd.git
Vcs-Browser: https://git.kernel.org/pub/scm/linux/kernel/git/deller/rbootd.git

Package: rbootd
Architecture: any
Depends: netbase, lsb-base, ${shlibs:Depends}
Suggests: bootparamd,nfs-server
Description: Remote Boot Daemon
 The rbootd daemon is used for booting some HP workstations
 over the network (such as the 9000/300 and 9000/400 series).
 It can also boot some PA RISC workstations (such as the 9000/730).
 It handles the first stage of the boot sequence and can be used to
 start booting Linux, NetBSD or HPUX.
