=== debian/rules ===
--- 
+++ 
@@ -10,23 +10,35 @@
 # paternity under the Copyright, Designs and Patents Act 1988.)
 # This file may have to be extensively modified
 
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+
 package=rbootd
 
 ARCH  := $(shell dpkg --print-architecture)
 
+CFLAGS = $(shell dpkg-buildflags --get CFLAGS)
+CFLAGS += $(shell dpkg-buildflags --get CPPFLAGS)
+CFLAGS += $(shell getconf LFS_CFLAGS)
+
+ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
+STRIP = -s
+endif
 
 export BASEDIR=$(shell pwd)/debian/tmp
 
 ## Note must use the special makefile to avoid needing BSD make
 
+build-arch: build
+build-indep: build
+
 build:
 	$(checkdir)
-	$(MAKE) -f Makefile.linux CFLAGS="-O2 -g -Wall" rbootd
+	$(MAKE) CFLAGS="$(CFLAGS)" rbootd
 	touch build
 
 clean:
 	$(checkdir)
-	$(MAKE) -f Makefile.linux clean
+	$(MAKE) clean
 	-rm -f build
 	-rm -rf debian/tmp debian/files* core debian/substvars
 
@@ -44,33 +56,34 @@
 	install -d debian/tmp
 	cd debian/tmp;install -d `cat ../dirs`
 	install -d ${BASEDIR}/DEBIAN
-	install -o root -g root -m 0755 -s rbootd ${BASEDIR}/usr/sbin
+	install -o root -g root -m 0755 $(STRIP) rbootd ${BASEDIR}/usr/sbin
+	install -o root -g root -m 0644 debian/default ${BASEDIR}/etc/default/rbootd
 	install -o root -g root -m 0755 debian/rbootd.init.d ${BASEDIR}/etc/init.d/rbootd
-	install -o root -g root -m 0644 etc-rbootd/* ${BASEDIR}/etc
+	install -o root -g root -m 0644 etc-rbootd/rbootd.conf ${BASEDIR}/etc
+	install -o root -g root -m 0644 rbootd.service ${BASEDIR}/lib/systemd/system
 	install -o root -g root -m 0644 rbootd.8 ${BASEDIR}/usr/share/man/man8
 	@if [ -f ${BASEDIR}/usr/share/man/man8/rbootd.8 ]; then \
-	  gzip -9v ${BASEDIR}/usr/share/man/man8/rbootd.8 ; \
+	  gzip -9vn ${BASEDIR}/usr/share/man/man8/rbootd.8 ; \
 	fi
 
 	install -o root -g root -m 0644 README \
 	  ${BASEDIR}/usr/share/doc/rbootd/README
 	@if [ -f ${BASEDIR}/usr/share/doc/rbootd/README ]; then \
-	  gzip -9v ${BASEDIR}/usr/share/doc/rbootd/README ;\
+	  gzip -9vn ${BASEDIR}/usr/share/doc/rbootd/README ;\
 	fi
 	install -o root -g root -m 0644 debian/copyright \
 	  ${BASEDIR}/usr/share/doc/rbootd/copyright
 	install -o root -g root -m 0644 debian/changelog \
-	  ${BASEDIR}/usr/share/doc/rbootd/changelog.Debian
-       
-	@if [ -f ${BASEDIR}/usr/share/doc/rbootd/changelog.Debian ]; then \
-	  gzip -9v ${BASEDIR}/usr/share/doc/rbootd/changelog.Debian ; \
+	  ${BASEDIR}/usr/share/doc/rbootd/changelog
+	@if [ -f ${BASEDIR}/usr/share/doc/rbootd/changelog ]; then \
+	  gzip -9vn ${BASEDIR}/usr/share/doc/rbootd/changelog ; \
 	fi
 	install -o root -g root -m 0644 debian/conffiles \
 	  ${BASEDIR}/DEBIAN
-	install -o root -g root -m 0755 debian/{postinst,prerm,postrm} \
+	install -o root -g root -m 0755 debian/postinst debian/prerm debian/postrm \
 	  ${BASEDIR}/DEBIAN	
 	install -d ${BASEDIR}/var/lib/rbootd
-	dpkg-shlibdeps rbootd
+	dpkg-shlibdeps ${BASEDIR}/usr/sbin/rbootd
 	dpkg-gencontrol
 	chown -R root.root debian/tmp
 	chmod -R go-ws debian/tmp
