## rbootd 3.1

=== debian/changelog ===
rbootd (3.1) unstable; urgency=medium

  * QA upload.
  * Set maintainer to Debian QA Group <packages@qa.debian.org>. (see: #934433)

 -- Marcos Talau <talau@debian.org>  Mon, 14 Nov 2022 07:37:10 -0300
