=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: rbootd
 Section: net
 Priority: optional
-Maintainer: Helge Deller <deller@gmx.de>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Standards-Version: 4.5.0
 Build-Depends: libpcap-dev
 Rules-Requires-Root: binary-targets
