## rbootd 3.2

=== debian/changelog ===
rbootd (3.2) unstable; urgency=medium

  * QA upload.
  * Install systemd units into /usr. (DEP17 M2)

 -- Chris Hofstaedtler <zeha@debian.org>  Tue, 09 Jan 2024 18:53:40 +0100
