=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: rbootd
 Section: net
 Priority: optional
-Maintainer: Debian QA Group <packages@qa.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
 Standards-Version: 4.5.0
 Build-Depends: libpcap-dev
 Rules-Requires-Root: binary-targets
