=== debian/rules ===
--- 
+++ 
@@ -60,7 +60,7 @@
 	install -o root -g root -m 0644 debian/default ${BASEDIR}/etc/default/rbootd
 	install -o root -g root -m 0755 debian/rbootd.init.d ${BASEDIR}/etc/init.d/rbootd
 	install -o root -g root -m 0644 etc-rbootd/rbootd.conf ${BASEDIR}/etc
-	install -o root -g root -m 0644 rbootd.service ${BASEDIR}/lib/systemd/system
+	install -o root -g root -m 0644 rbootd.service ${BASEDIR}/usr/lib/systemd/system
 	install -o root -g root -m 0644 rbootd.8 ${BASEDIR}/usr/share/man/man8
 	@if [ -f ${BASEDIR}/usr/share/man/man8/rbootd.8 ]; then \
 	  gzip -9vn ${BASEDIR}/usr/share/man/man8/rbootd.8 ; \
