=== debian/changelog ===
rbootd (3.3) unstable; urgency=medium

  * QA upload.

  [ Chris Hofstaedtler ]
  * d/control: drop Vcs-* fields not having _the_ Debian packaging
  * Use debhelper to build and install, set R3: no
  * Drop obsolete dependency lsb-base

  [ Helmut Grohne ]
  * Fix FTCBFS (Closes: #941400)

 -- Chris Hofstaedtler <zeha@debian.org>  Sat, 25 Jan 2025 17:56:30 +0100
