## rbootd 3.3build1

=== debian/changelog ===
rbootd (3.3build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@debian.org>  Mon, 09 Feb 2026 23:44:26 +0100
